Package org.kapott.hbci.manager

# Class HBCIKernelFactory

java.lang.Object
org.kapott.hbci.manager.HBCIKernelFactory

public class HBCIKernelFactory extends Object
Factory-Klasse für das Erzeugen von HBCI-Kernel-Objekten

## Constructor Summary

Constructors
Constructor
Description
`HBCIKernelFactory()`

## Method Summary

Modifier and Type
Method
Description
`static HBCIKernel`
`getKernel(IHandlerData parentHandlerData, String hbciversion)`
Neues HBCI-Kernel-Objekt erzeugen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIKernelFactory

public HBCIKernelFactory()

## Method Details

### getKernel

public static HBCIKernel getKernel(IHandlerData parentHandlerData, String hbciversion)
Neues HBCI-Kernel-Objekt erzeugen.

Parameters:
  `hbciversion` - `HBCI-Versionsnummer`, für die ein Kernel-Objekt erzeugt werden soll